summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWouter Wijsman2019-12-08 01:30:00 +0100
committerWouter Wijsman2019-12-08 01:30:00 +0100
commite4d0ec7125df8f76316c3fbe97d54451fd4bd610 (patch)
tree02ffd89da8388bca74fed41c6ef35038f6196993
downloadaur-alienware-alpha-wmi.tar.gz
Initial release of alienware-alpha-wmi
This package allows Alienware Alpha owners to change the color of the lights on their system. For this they can either use the included script or run Steam in SteamOS mode.
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD23
2 files changed, 36 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2a37b1e2ff7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = alienware-alpha-wmi
+ pkgdesc = A simple script for controlling the lights on the Alienware Alpha/Steam Machine taken from SteamOS
+ pkgver = 2.58
+ pkgrel = 1
+ url = http://repo.steampowered.com/
+ arch = any
+ license = BSD-2
+ depends = sudo
+ source = http://repo.steampowered.com/steamos/pool/main/s/steamos-base-files/steamos-base-files_2.58.tar.xz
+ md5sums = 4d46e47f14de407199ba00e88ad3b538
+
+pkgname = alienware-alpha-wmi
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a8b87749ce0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Wouter Wijsman <wwijsman@live.nl>
+
+pkgname=alienware-alpha-wmi
+pkgver=2.58
+pkgrel=1
+pkgdesc="A simple script for controlling the lights on the Alienware Alpha/Steam Machine taken from SteamOS"
+arch=('any')
+url="http://repo.steampowered.com/"
+license=('BSD-2')
+source=(http://repo.steampowered.com/steamos/pool/main/s/steamos-base-files/steamos-base-files_"$pkgver".tar.xz)
+md5sums=('4d46e47f14de407199ba00e88ad3b538')
+depends=('sudo')
+
+package() {
+ cd "${srcdir}/steamos-base-files-${pkgver}" || exit 2
+ install -D -m 644 debian/copyright "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ install -D usr/bin/alienware_wmi_control.sh "$pkgdir/usr/bin/alienware_wmi_control.sh"
+
+ # Sudo configuration needed for Steam in SteamOS mode
+ # Don't use a group, since Steam can be used by any user
+ sed -i "s/steam/ALL/" etc/sudoers.d/alienware_wmi_control
+ install -D -m 400 etc/sudoers.d/alienware_wmi_control "$pkgdir/etc/sudoers.d/alienware_wmi_control"
+}